import 'package:equatable/equatable.dart';
import 'package:syncrow_web/pages/routines/bloc/automation_scene_trigger_bloc/automation_status_update.dart';
import 'package:syncrow_web/pages/routines/bloc/routine_bloc/routine_bloc.dart';
import 'package:syncrow_web/pages/spaces_management/all_spaces/model/space_model.dart';

abstract class AutomationSceneTriggerEvent extends Equatable {
  const AutomationSceneTriggerEvent();

  @override
  List<Object> get props => [];
}

class AutomationSceneScenes extends AutomationSceneTriggerEvent {
  final String unitId;
  final bool showInDevice;
  final SpaceModel unit;

  const AutomationSceneScenes(this.unitId, this.unit, {this.showInDevice = false});

  @override
  List<Object> get props => [unitId, showInDevice];
}

class AutomationSceneAutomation extends AutomationSceneTriggerEvent {
  final String unitId;
    final String communityId;


  const AutomationSceneAutomation(this.unitId, this.communityId);

  @override
  List<Object> get props => [unitId, communityId];
}

class SceneTrigger extends AutomationSceneTriggerEvent {
  final String sceneId;
  final String name;

  const SceneTrigger(this.sceneId, this.name);

  @override
  List<Object> get props => [sceneId];
}

//updateAutomationStatus
class UpdateAutomationStatus extends AutomationSceneTriggerEvent {
  final String automationId;
  final AutomationStatusUpdate automationStatusUpdate;
  final String communityId;

  const UpdateAutomationStatus({required this.automationStatusUpdate, required this.automationId, required this.communityId});

  @override
  List<Object> get props => [automationStatusUpdate];
}
