

import 'package:equatable/equatable.dart';
import 'package:syncrow_web/pages/routines/models/routine_model.dart';

abstract class AutomationSceneTriggerStatus extends Equatable {
  const AutomationSceneTriggerStatus();

  @override
  List<Object?> get props => [];
}

class AutomationSceneInitial extends AutomationSceneTriggerStatus {}

class AutomationSceneLoading extends AutomationSceneTriggerStatus {}

class AutomationSceneLoaded extends AutomationSceneTriggerStatus {
  final List<ScenesModel> scenes;
  final List<ScenesModel> automationList;
  final String? loadingSceneId;
  final Map<String, bool> loadingStates;

  const AutomationSceneLoaded(this.scenes, this.automationList,
      {this.loadingSceneId, this.loadingStates = const {}});

  @override
  List<Object?> get props =>
      [scenes, loadingSceneId, automationList, loadingStates];
}

class AutomationSceneError extends AutomationSceneTriggerStatus {
  final String message;

  const AutomationSceneError({required this.message});

  @override
  List<Object> get props => [message];
}

class SceneTriggerSuccess extends AutomationSceneTriggerStatus {
  final String sceneName;

  const SceneTriggerSuccess(this.sceneName);

  @override
  List<Object> get props => [sceneName];
}

class UpdateAutomationStatusLoading extends AutomationSceneTriggerStatus {
  const UpdateAutomationStatusLoading();
}
